/* 

                          Firewall Builder

                 Copyright (C) 2000 Vadim Kurland

  Author:  Vadim Kurland     vadim@vk.crocodile.org

  $Id: FWIntervalReference.hh,v 1.5 2002/02/03 03:30:56 vkurland Exp $


  This program is free software which we release under the GNU General Public
  License. You may redistribute and/or modify this program under the terms
  of that license as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  To get a copy of the GNU General Public License, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/


#ifndef  __FWINTERVALREF_HH_FLAG__
#define  __FWINTERVALREF_HH_FLAG__

#include <fwbuilder/FWReference.hh>
#include <fwbuilder/Interval.hh>
#include <fwbuilder/IntervalGroup.hh>

namespace libfwbuilder
{

/**
 * This class represents object reference.
 */
class FWIntervalReference : public FWReference
{
    public:

    DECLARE_FWOBJECT_SUBTYPE(FWIntervalReference);

    FWIntervalReference();
    FWIntervalReference(const FWObject *root);

    void setPointer(Interval *o);
    void setPointer(IntervalGroup *o);

};

}

#endif // _FWOBJECT_HH
