/* 

                          Firewall Builder

                 Copyright (C) 2000 Vadim Kurland

  Author:  Vadim Kurland     vadim@vk.crocodile.org

  $Id: TCPService.hh,v 1.11 2002/05/18 07:13:43 vkurland Exp $


  This program is free software which we release under the GNU General Public
  License. You may redistribute and/or modify this program under the terms
  of that license as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  To get a copy of the GNU General Public License, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/


#ifndef __TCPSERVICE_HH_FLAG__
#define __TCPSERVICE_HH_FLAG__

#include <fwbuilder/Service.hh>

namespace libfwbuilder
{

class TCPService : public Service
{

private:

public:

    TCPService();
    TCPService(const FWObject *root);
    virtual ~TCPService();

    virtual void fromXML(xmlNodePtr parent) throw(FWException);

    DECLARE_FWOBJECT_SUBTYPE(TCPService);

    virtual std::string getProtocolName();
    virtual int    getProtocolNumber();

    bool    getURGFlag() const;
    bool    getACKFlag() const;
    bool    getPSHFlag() const;
    bool    getRSTFlag() const;
    bool    getSYNFlag() const;
    bool    getFINFlag() const;

    void    setURGFlag(bool f);
    void    setACKFlag(bool f);
    void    setPSHFlag(bool f);
    void    setRSTFlag(bool f);
    void    setSYNFlag(bool f);
    void    setFINFlag(bool f);

};

}

#endif




